from enum import Enum
from os import F_OK
import tempText_Module
import time
import config as config

import flask
from flask import Flask, request, after_this_request

import credentials

import commands.loader as command_loader
from commands.command_base import AbstractCommand

from cooldowns import Cooldown_Module

import utilities_script as utility

import chyron_module
import timers_module

import random

import os
import praxis_logging
praxis_logger_obj = praxis_logging.praxis_logger()
praxis_logger_obj.init(os.path.basename(__file__))
praxis_logger_obj.log("\n -Starting Logs: " + os.path.basename(__file__))

api:Flask = Flask(__name__)
api.config["DEBUG"] = True


def init():
    print("starting up... ",)


@api.route('/')
def textSource_test():
    @after_this_request
    def add_header(response):
        response.headers.add('Access-Control-Allow-Origin', '*')
        return response
    return flask.make_response('Client Service: OK', 200)


if __name__ == "__main__":
    init()
    api.run(host="0.0.0.0", port = 5500)